# $Revision: 1.6 $, $Date: 2005/05/31 20:46:50 $
Summary:	Library for NTLM authentication
Summary(pl):	Biblioteka do uwierzytelniania NTLM
Name:		libntlm
Version:	0.3.6
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://josefsson.org/libntlm/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0accca251d70ba59107b0573147e4f59
URL:		http://josefsson.org/libntlm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libntlm library provides routines to manipulate the structures used
for the client end of Microsoft NTLM authentication.

This code was taken mostly from the Samba project and was initially
intended for use with Microsoft Exchange Server when it is configured
to require NTLM authentication for clients of its IMAP server.

%description -l pl
Biblioteka libntlm dostarcza procedury do obrbki struktur uywanych
po stronie klienta mechanizmu uwierzytelniania Microsoft NTLM.

Ten kod pochodzi w wikszoci z projektu Samba i pocztkowo mia by
uywany z serwerem Microsoft Exchange w przypadku, gdy zosta
skonfigurowany aby wymaga uwierzytelnienia NTLM od klientw swojego
serwera IMAP.

%package devel
Summary:	Header files for libntlm library
Summary(pl):	Pliki nagwkowe biblioteki libntlm
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libntlm library.

%description devel -l pl
Pliki nagwkowe biblioteki libntlm.

%package static
Summary:	Static libntlm library
Summary(pl):	Statyczna biblioteka libntlm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libntlm library.

%description static -l pl
Statyczna biblioteka libntlm.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/libntlm.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntlm.so
%{_libdir}/libntlm.la
%{_includedir}/ntlm.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libntlm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libntlm.spec,v $
Revision 1.6  2005/05/31 20:46:50  charles
- libtoolize, BR: libtool

Revision 1.5  2005/05/30 09:57:55  charles
- ac/am, BR: autoconf

Revision 1.4  2004/10/01 08:41:03  paladine
- updated to 0.3.6

Revision 1.3  2004/01/18 21:18:39  qboosh
- update config.* (for amd64)

Revision 1.2  2003/08/03 10:25:34  qboosh
- added missing ldconfig

Revision 1.1  2003/07/26 22:05:25  qboosh
- new
